CREATE TABLE LOWCODE_LOGIC_ATTRIBUTE (
  ID BIGINT PRIMARY KEY,
  PROJECT_ID BIGINT NOT NULL,
  LOGIC_ID BIGINT NOT NULL,
  ATTR_CODE VARCHAR2(64) NOT NULL,
  ATTR_REMARK VARCHAR2(64) DEFAULT NULL,
  ATTR_TYPE VARCHAR2(64) DEFAULT NULL,
  DESCRIPTION VARCHAR2(255) DEFAULT NULL,
  CREATE_USER BIGINT DEFAULT NULL,
  GMT_CREATE TIMESTAMP DEFAULT NULL,
  MODIFIED_USER BIGINT DEFAULT NULL,
  GMT_MODIFIED TIMESTAMP DEFAULT NULL,
  VALID INT DEFAULT 0,
  ATTR_CLASS INT DEFAULT 10,
  ATTR_NULLABLE INT DEFAULT 0,
  ATTR_SIZE INT DEFAULT 0,
  ATTR_PK INT DEFAULT 0,
  ATTR_CONF text NULL
);
create index idx_logicId_code on LOWCODE_LOGIC_ATTRIBUTE(LOGIC_ID, ATTR_CODE)